Package Base Details: wps-office

Git Clone URL: https://aur.archlinux.org/wps-office.git (read-only, click to copy)
Submitter: felixonmars
Maintainer: Universebenzene
Last Packager: Universebenzene
Votes: 450
Popularity: 3.42
First Submitted: 2014-08-17 11:57
Last Updated: 2020-10-29 12:40

Pinned Comments

Universebenzene commented on 2020-10-22 02:25

If you have the "ERROR: One or more files failed the validity check!" problem, try cleaning your AUR cache first, and try again.

Universebenzene commented on 2020-01-10 04:48

[ATTENTION] The new international version (11.1.0.9080) removed zh_CN support, login, and some other functions. If you still want full functions, or you want aarch64 support, you may need the Chinese version from https://linux.wps.cn here: https://aur.archlinux.org/pkgbase/wps-office-cn

Universebenzene commented on 2019-10-26 05:46

I split the /usr/share/mime/packages/wps-office-*.xml files to the wps-office-mime package to avoid mime issues. If you still want the mime files provided by wps-office itself, you can install the new mime package.

Universebenzene commented on 2019-07-05 17:08

There is no official 32-bit package for version 11.1.0.8722, so I drop the support for i686 arch. For archlinux32 users you can create another wps-office package for 32-bit system yourself.

Universebenzene commented on 2019-04-16 13:34

When you shut down wps-office, the wpsoffice process may still exist. You can do sudo chmod -x /usr/lib/office6/wpsoffice to fix it. But this might bring you problem with signing in.

Latest Comments

« First ‹ Previous ... 14 15 16 17 18 19 20 21 22 23 24 ... Next › Last »

ppc52776 commented on 2018-06-21 13:20

Thanks @timxx. It works now!!

timxx commented on 2018-06-21 13:07

@ppc52776 A workaround is that DO IT YOURSELF.

First, download the language from here: http://kdl.cc.ksosoft.com/wps-community/download/mui/10.1.0.6634/mui_zh_tw.7z (Change zh_tw to other languages if someone interested).

Now unpack the mui_zh_tw.7z to ~/.kingsoft or /usr/lib (the full path should be ~/.kingsoft/office6/mui/zh_TW or /usr/lib/office6/mui/zh_TW.)

Finally, setup the LANG env to zh_TW.UTF-8 if your system is not the default. Or change the config for permanent: ~/.config/Kingsoft/Office.conf Add the following sections (or change the old value if already had): [General] languages=zh_TW

Too bad they removed the switch language entrance...

ppc52776 commented on 2018-06-18 17:19

How to change UI language to zh_TW?

Universebenzene commented on 2018-06-07 12:15

Thanks @lilydjwg. I remove the qt4 from depends. As a newbie I often make mistakes in packaging. Thank you all for helping me.

lilydjwg commented on 2018-06-07 07:30

This package doesn't depend on qt4. It bundles one itself.

Universebenzene commented on 2018-06-07 05:50

@miku84 the dependency qt4 was shown by namcap. If I build the package without writing qt4 in the depends, namcap said: wps-office E: Dependency qt4 detected and not included (libraries ['usr/lib/libQtOpenGL.so.4', 'usr/lib/libQtSvg.so.4', 'usr/lib/libQtCore.so.4', 'usr/lib/libQtNetwork.so.4', 'usr/lib/libQtDBus.so.4'] needed in files.... So I add qt4 in depends

miku84 commented on 2018-06-07 05:42

It uses qt4 instead of qt5? Can it be replaced with it?

StratosL commented on 2018-06-03 09:58

Open file dialog not working explanation and solution: http://wps-community.org/forum/viewtopic.php?f=4&t=396

"...because most of the class names conficts with KDE's (KApplication, KDialog, etc, our product also use 'K' for class prefix :( ) So the open/save dialog in KDE we use kdialog, if you meet problem, you still can disable it.

Just add: export WPS_NO_KDE_NATIVE_DIALOG=1 to scripts "wps", "wpp", and "et" in /usr/bin

postadelmaga commented on 2018-05-02 03:11

@es_18

Actually there is an AUR for that https://aur.archlinux.org/packages/ttf-wps-fonts/ If the fonts are required I think @ouyangjun can add that AUR to the dependency

es_18 commented on 2018-04-18 12:51

You can use this repo to install the missing fonts: https://github.com/IamDH4/ttf-wps-fonts